Skip to main content
GET
Error

Authorizations

Authorization
string
header
required

API Key authentication. For all API requests, include your API Key in the Authorization HTTP Header, prefixed with Bearer . Example: Authorization: Bearer {API_KEY}. Strongly recommend storing your API Key on the server-side, not shared or stored on the client-side, to avoid possible API-Key leakage that can lead to serious consequences.

Query Parameters

keyword
string

Keyword to search in logs.

status
enum<string>

Filter by execution status.

Available options:
succeeded,
failed,
stopped
page
integer
default:1

Page number for pagination.

Required range: 1 <= x <= 99999
limit
integer
default:20

Number of items per page.

Required range: 1 <= x <= 100
created_at__before
string<date-time>

Filter logs created before this ISO 8601 timestamp.

created_at__after
string<date-time>

Filter logs created after this ISO 8601 timestamp.

created_by_end_user_session_id
string

Filter by end user session ID.

created_by_account
string

Filter by account ID.

Response

200 - application/json

Successfully retrieved workflow logs.

page
integer

Current page number.

limit
integer

Number of items per page.

total
integer

Total number of log entries.

has_more
boolean

Whether more pages are available.

data
object[]

List of workflow log entries.